[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'Dos' (#rtl)

# SetFTime

Set file modification time.

## Declaration

Source position: dosh.inc line 129

`procedure SetFTime(`
`var f;`
`time: LongInt`
`);`

## Description

SetFTime sets the modification time of a file, this time is encoded and must be encoded with PackTime. F must be a file type, which has been assigned, and opened.

Remark: | Under unix like systems (such as linux and BeOS) the call exists, but is not implemented, i.e. it does nothing.

## Errors

Errors are reported in DosError

## See also

GetFTime |  | Get file last modification time.
PackTime |  | Pack DateTime value to a packed-time format.
UnPackTime |  | Unpack packed file time to a DateTime value

The latest version of this document can be found at lazarus-ccr.sourceforge.net.